# SPDX-License-Identifier: MIT-0
# Copyright (c) 2024 The DPS8M Development Team

pages:
  stage: deploy
  image: alpine:latest
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
  script:
    - apk update || true
    - apk -U upgrade --prune || true
    - ls -laR -- "public" || true
  artifacts:
    expire_in: 1 day
    paths:
      - public
  retry: 2
  timeout: 120 minutes
  interruptible: false
